stages:
  - build
  - ai-build

default:
  tags:
  - eks-fargate

parallel-fargate-hello-world:
  image: public.ecr.aws/docker/library/bash
  stage: build
  parallel: 50
  script:
    - echo "Hello AWS Builders Day Participants! Looking forward to meet you on our Booth!"

gpu-ai-job:
  tags:
  - eks-gpu
  image: public.ecr.aws/docker/library/bash
  stage: ai-build
  needs: []
  script:
    - echo "Hello AWS Builders Day Participants! This is executed on the GPU Enabled Node-Pool"
